path: /build/build/ccache-dev-util-3.7.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/ccache -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/ccache
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/ccache && luet-portage --dir /pkgdir/ccache
    dev-util/ccache && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: ccache
    version: 3.7.1
    category: dev-util
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: fast compiler cache
    uri:
    - https://ccache.dev/
    license: GPL-3
    buildtimestamp: 2023-09-29 21:21:44.901411328 +0000 UTC m=+86.671669240
    labels:
      DEPEND: app-arch/xz-utils sys-libs/zlib
      RDEPEND: app-arch/xz-utils sys-libs/zlib dev-util/shadowman sys-apps/gentoo-functions
      emerge.packages: dev-util/ccache
      kit: core-kit
      original.package.name: dev-util/ccache
      original.package.slot: "0"
      original.package.version: 3.7.1
    treedir: /build/packages
  package_dir: /pkgdir/ccache
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7637343bad9e17520c24a34503ee8346d4db41eb4be2c536ee6e962b31440c81
compressiontype: zstd
files:
- usr/bin/ccache
- usr/bin/ccache-config
- usr/share/doc/ccache-3.7.1/AUTHORS.adoc.bz2
- usr/share/doc/ccache-3.7.1/CONTRIBUTING.md.bz2
- usr/share/doc/ccache-3.7.1/MANUAL.adoc.bz2
- usr/share/doc/ccache-3.7.1/NEWS.adoc.bz2
- usr/share/doc/ccache-3.7.1/README.gentoo.bz2
- usr/share/doc/ccache-3.7.1/README.md.bz2
- usr/share/man/man1/ccache.1.bz2
- usr/share/shadowman/tools/ccache
- var/db/pkg/dev-util/ccache-3.7.1/BUILD_TIME
- var/db/pkg/dev-util/ccache-3.7.1/CATEGORY
- var/db/pkg/dev-util/ccache-3.7.1/CBUILD
- var/db/pkg/dev-util/ccache-3.7.1/CFLAGS
- var/db/pkg/dev-util/ccache-3.7.1/CHOST
- var/db/pkg/dev-util/ccache-3.7.1/CONTENTS
- var/db/pkg/dev-util/ccache-3.7.1/COUNTER
- var/db/pkg/dev-util/ccache-3.7.1/CXXFLAGS
- var/db/pkg/dev-util/ccache-3.7.1/DEFINED_PHASES
- var/db/pkg/dev-util/ccache-3.7.1/DEPEND
- var/db/pkg/dev-util/ccache-3.7.1/DESCRIPTION
- var/db/pkg/dev-util/ccache-3.7.1/EAPI
- var/db/pkg/dev-util/ccache-3.7.1/FEATURES
- var/db/pkg/dev-util/ccache-3.7.1/HOMEPAGE
- var/db/pkg/dev-util/ccache-3.7.1/INHERITED
- var/db/pkg/dev-util/ccache-3.7.1/IUSE
- var/db/pkg/dev-util/ccache-3.7.1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/ccache-3.7.1/KEYWORDS
- var/db/pkg/dev-util/ccache-3.7.1/LDFLAGS
- var/db/pkg/dev-util/ccache-3.7.1/LICENSE
- var/db/pkg/dev-util/ccache-3.7.1/NEEDED
- var/db/pkg/dev-util/ccache-3.7.1/PF
- var/db/pkg/dev-util/ccache-3.7.1/RDEPEND
- var/db/pkg/dev-util/ccache-3.7.1/REQUIRES
- var/db/pkg/dev-util/ccache-3.7.1/SIZE
- var/db/pkg/dev-util/ccache-3.7.1/SLOT
- var/db/pkg/dev-util/ccache-3.7.1/USE
- var/db/pkg/dev-util/ccache-3.7.1/ccache-3.7.1.ebuild
- var/db/pkg/dev-util/ccache-3.7.1/environment.bz2
- var/db/pkg/dev-util/ccache-3.7.1/repository
package_cacheimage: ""
runtime:
  name: ccache
  version: 3.7.1
  category: dev-util
  requires:
  - name: xz-utils
    version: '>=0'
    category: app-arch
  - name: shadowman
    version: '>=0'
    category: dev-util
  - name: gentoo-functions
    version: '>=0'
    category: sys-apps
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: fast compiler cache
  uri:
  - https://ccache.dev/
  license: GPL-3
  labels:
    DEPEND: app-arch/xz-utils sys-libs/zlib
    RDEPEND: app-arch/xz-utils sys-libs/zlib dev-util/shadowman sys-apps/gentoo-functions
    emerge.packages: dev-util/ccache
    kit: core-kit
    original.package.name: dev-util/ccache
    original.package.slot: "0"
    original.package.version: 3.7.1
